<?php

/**
 * Escalation related methods.
 * hosteescalation and serviceescalation share some functions, so
 * we put those here and let those two classes extend this
 * one.
 */
abstract class escalation_nacoma_Model extends naemon_nacoma_Model
{
	public function get_cmd_bar_links()
	{
		$cmd_links = parent::get_cmd_bar_links();
		// instead of duplicating validation from parent, just check if the validation ended up allowing copying, and only then add clone
		if (isset($cmd_links['copy']))
			$cmd_links['clone'] = '<a title="Clone '.$this->type.'s" href="edit_special.php/copy_slaves?obj_type='.$this->type.'&amp;master_obj_id='.$this->master_obj_id.'&amp;master_obj_type='.$this->master_obj_type.'&amp;obj_id='.$this->id.'">';
		return $cmd_links;
	}
}
